Name:           tkisem
Version:        4.5.12
Release:        %mkrel 10
Summary:        TK Instructional SPARC EMulator
Group:          Emulators
License:        GPL
URL:            http://www.cs.unm.edu/~johnk/
Source0:        http://www.cs.unm.edu/~johnk/tkisem-4.5.12.tar.bz2
Source1:        http://www.cs.unm.edu/~johnk/labman.ps
Source2:        http://www.cs.unm.edu/~johnk/refcard.ps
Requires:       binutils-isem
Requires:       tk
BuildRequires:  binutils-isem
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description 
ISEM is the Instructional SPARC EMulator from the University of New
Mexico. It emulates the SPARC instruction set architecture as well as
providing a graphical front end and debugging capabilities. ISEM is
usually used to teach the basics of RISC microprocessor architectures.

Note: The source package for this RPM does **not** contain the sources
for the SPARC assembler and linker tools (as-isem, ld-isem and
nm-isem). These are compiled from the GNU binutils package as
described in the INSTALL file.

%prep
%setup -q
%{__cp} -a %{SOURCE1} .
%{__cp} -a %{SOURCE2} .

%build
export CXXFLAGS="%{optflags} -fPIC"
%{configure2_5x} 
%{__perl} -pi -e 's|LIBDIR =.*|LIBDIR =    \$(libdir)/{name} |' \
  build/make.config
%{__perl} -pi -e 's|, GX_cmd,|, (Tcl_CmdProc *) GX_cmd,|' \
  src/tkisem/isemGX.cpp
%{make} CXX=%{__cxx}

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_libdir}/%{name}
%{makeinstall} LIBDIR=%{buildroot}%{_libdir}/%{name}
%{__perl} -pi -e 's|set libdir.*\n|set libdir %{_libdir}/%{name}\n|' generic/tkisem
%{__cp} -a generic/tkisem %{buildroot}%{_bindir}
%{__cp} -a generic/tclisem %{buildroot}%{_bindir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL copyright.notice rel_notes.txt labman.ps refcard.ps
%attr(0755,root,root) %{_bindir}/tkisem
%attr(0755,root,root) %{_bindir}/tclisem
%attr(0755,root,root) %{_bindir}/gxisem
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/tkisem.so
%{_libdir}/%{name}/isem_rom
%{_libdir}/%{name}/isem_rom.s
%{_libdir}/%{name}/isem_vec.s
%{_libdir}/%{name}/isem_com.tcl
%{_libdir}/%{name}/isemhelp.txt
%{_libdir}/%{name}/fpulib.o
%{_libdir}/%{name}/glue.o
%{_libdir}/%{name}/iulib.o




%changelog
* Wed Dec 26 2007 David Walluck <walluck@mandriva.org> 4.5.12-10mdv2008.1
+ Revision: 138158
- birthday rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 4.5.12-9mdv2007.0
+ Revision: 98100
- cleanup
- Import tkisem

* Tue Jan 17 2006 David Walluck <walluck@mandrake.org> 4.5.12-8mdk
- fix %%install
- fix build on x86_64

* Tue Jan 17 2006 David Walluck <walluck@mandrake.org> 4.5.12-7mdk
- overdue birthday rebuild
- BuildRequires: tcl-devel, tk-devel

* Mon Oct 25 2004 David Walluck <walluck@mandrake.org> 4.5.12-6mdk
- release

